from fastapi import APIRouter, BackgroundTasks, UploadFile, File, Form
from typing import List
from pydantic import BaseModel
from starlette.requests import Request
from starlette.responses import JSONResponse
from config.config import settings
from scripts.common.get_img import get_img
router = APIRouter()


@router.get("/img")
async def get_imgs(request: Request, keys: str) -> JSONResponse:
    redis_client = request.app.state.redis
    values = await redis_client.get(keys)
    print(keys, values)
    if values:
        print(f"get {keys}")
        return {"url": values}
    else:
        print(f"new down {keys}")
        vv = await get_img(keys)
        await redis_client.set(keys, vv)
        return {"url": vv}
